export class EdelQuickNavigatorEntry {
    constructor() {
        this.canNavigate = true;
    }
    hostData() {
        return {
            class: 'quicknavigator-list-item'
        };
    }
    render() {
        return [
            h("a", { class: "quicknavigator-list-link", onClick: () => this.select.emit() },
                h("span", { class: "quicknavigator-list-link-icon" },
                    h("i", { class: `fas fa-${this.icon}` })),
                h("span", { class: "quicknavigator-list-link-label" }, this.label)),
            this.canNavigate ? (h("a", { class: "quicknavigator-list-move", onClick: () => this.navigate.emit() },
                h("i", { class: "fas fa-angle-right" }))) : null
        ];
    }
    static get is() { return "edel-quick-navigator-entry"; }
    static get properties() { return {
        "canNavigate": {
            "type": Boolean,
            "attr": "can-navigate"
        },
        "icon": {
            "type": String,
            "attr": "icon"
        },
        "label": {
            "type": String,
            "attr": "label"
        }
    }; }
    static get events() { return [{
            "name": "navigate",
            "method": "navigate",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }, {
            "name": "select",
            "method": "select",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}
